<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// $Id: searchform.php,v 1.3 2003/03/19 06:58:15 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
global $myts;
// initialize form vars
$query = $myts->makeTboxData4PreviewInForm($query);
// create form elements
$query_text  = new XoopsFormText(_SR_KEYWORDS, "query", 30, 255, $query);
$type_select = new XoopsFormSelect(_TYPE, "andor", $andor);
$type_select->addOptionArray(array("AND"=>_SR_ALL, "OR"=>_SR_ANY, "exact"=>_SR_EXACT));
$mods_checkbox = new XoopsFormCheckBox(_SR_SEARCHIN, "mids[]", $mids);
$mods_checkbox->addOptionArray(XoopsModule::getHasSearchModulesList());
$action_hidden = new XoopsFormHidden("action", "results");
$submit_button = new XoopsFormButton("", "submit", _SEARCH, "submit");
// create form
$search_form = new XoopsThemeForm(_SEARCH, "search", "search.php");
$search_form->addElement($query_text);
$search_form->addElement($type_select);
$search_form->addElement($mods_checkbox);
$search_form->addElement($action_hidden);
$search_form->addElement($submit_button);
?>
